# file name: customized-values-gooddata-cn.yaml


dex:
  ingress:
    authHost: 'gdk8sdexstager5.factoreal.info'
    annotations:
      kubernetes.io/ingress.class: nginx



ingress:
  annotations:
    kubernetes.io/ingress.class: nginx
    #nginx.ingress.kubernetes.io/configuration-snippet: | more_set_headers "Access-Control-Allow-Origin: $http_origin";
    nginx.ingress.kubernetes.io/cors-allow-credentials: "true"
    nginx.ingress.kubernetes.io/cors-allow-methods: PUT, GET, POST, OPTIONS, DELETE, PATCH
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/cors-allow-origin: https://gdcn-test.herokuapp.com
    nginx.ingress.kubernetes.io/cors-allow-headers: "X-GDC-JS-SDK-COMP, X-GDC-JS-SDK-COMP-PROPS, X-GDC-JS-PACKAGE, X-GDC-JS-PACKAGE-VERSION, x-requested-with, X-GDC-VALIDATE-RELATIONS, DNT, X-CustomHeader, Keep-Alive, User-Agent, X-Requested-With, If-Modified-Since, Cache-Control, Content-Type, Authorization"

    
#### gdcn robert asked to remove to fix issue

#service:
#  redis:
#    hosts:
#      - redis.cache
#    port: 6379
#    clusterMode: false
#  postgres:
#    host: postgres.database
#    port: 5432
#    username: postgres@gooddata-cn-pg
#    password: <PG_ADMIN_PASSWORD>

# file name: customized-values-gooddata-cn.yaml

#gbq drivers rebuit v1
sqlExecutor:    
  extraDriversInitContainer: 063564.dkr.ecr.us-east-1.amazonaws.com/gooddata-cn-extra-drivers:vge1

deployRedisHA: true
deployPostgresHA: true

redis-ha:
  persistentVolume:
    storageClass: gp2
postgresql-ha:
  persistence:
    storageClass: gp2

license:
  key: "key/eyJhY2NvdW50Ijp7Igw=="

